<?php 
/* Loads Stroke 7 Icon Font. */
add_filter( 'vc_iconpicker-type-elegant', 'vc_iconpicker_type_elegant' );

/**
 * Elegant from http://www.elegantthemes.com/blog/resources/elegant-icon-font
 *
 * @param $icons - taken from filter - vc_map param field settings['source'] provided icons (default empty array).
 * If array categorized it will auto-enable category dropdown
 *
 * @since 1.0
 * @return array - of icons for iconpicker, can be categorized, or not.
 */
function vc_iconpicker_type_elegant( $icons ) {
	$elegant_icons = array(
		array( "arrow_up" => esc_html__( "Arrow_up", 'haswell' ) ),
		array( "arrow_down" => esc_html__( "Arrow_down", 'haswell' ) ),
		array( "arrow_left" => esc_html__( "Arrow_left", 'haswell' ) ),
		array( "arrow_right" => esc_html__( "Arrow_right", 'haswell' ) ),
		array( "arrow_left-up" => esc_html__( "Arrow_left-up", 'haswell' ) ),
		array( "arrow_right-up" => esc_html__( "Arrow_right-up", 'haswell' ) ),
		array( "arrow_right-down" => esc_html__( "Arrow_right-down", 'haswell' ) ),
		array( "arrow_left-down" => esc_html__( "Arrow_left-down", 'haswell' ) ),
		array( "arrow-up-down" => esc_html__( "Arrow-up-down", 'haswell' ) ),
		array( "arrow_up-down_alt" => esc_html__( "Arrow_up-down_alt", 'haswell' ) ),
		array( "arrow_left-right_alt" => esc_html__( "Arrow_left-right_alt", 'haswell' ) ),
		array( "arrow_left-right" => esc_html__( "Arrow_left-right", 'haswell' ) ),
		array( "arrow_expand_alt2" => esc_html__( "Arrow_expand_alt2", 'haswell' ) ),
		array( "arrow_expand_alt" => esc_html__( "Arrow_expand_alt", 'haswell' ) ),
		array( "arrow_condense" => esc_html__( "Arrow_condense", 'haswell' ) ),
		array( "arrow_expand" => esc_html__( "Arrow_expand", 'haswell' ) ),
		array( "arrow_move" => esc_html__( "Arrow_move", 'haswell' ) ),
		array( "arrow_carrot-up" => esc_html__( "Arrow_carrot-up", 'haswell' ) ),
		array( "arrow_carrot-down" => esc_html__( "Arrow_carrot-down", 'haswell' ) ),
		array( "arrow_carrot-left" => esc_html__( "Arrow_carrot-left", 'haswell' ) ),
		array( "arrow_carrot-right" => esc_html__( "Arrow_carrot-right", 'haswell' ) ),
		array( "arrow_carrot-2up" => esc_html__( "Arrow_carrot-2up", 'haswell' ) ),
		array( "arrow_carrot-2down" => esc_html__( "Arrow_carrot-2down", 'haswell' ) ),
		array( "arrow_carrot-2left" => esc_html__( "Arrow_carrot-2left", 'haswell' ) ),
		array( "arrow_carrot-2right" => esc_html__( "Arrow_carrot-2right", 'haswell' ) ),
		array( "arrow_carrot-up_alt2" => esc_html__( "Arrow_carrot-up_alt2", 'haswell' ) ),
		array( "arrow_carrot-down_alt2" => esc_html__( "Arrow_carrot-down_alt2", 'haswell' ) ),
		array( "arrow_carrot-left_alt2" => esc_html__( "Arrow_carrot-left_alt2", 'haswell' ) ),
		array( "arrow_carrot-right_alt2" => esc_html__( "Arrow_carrot-right_alt2", 'haswell' ) ),
		array( "arrow_carrot-2up_alt2" => esc_html__( "Arrow_carrot-2up_alt2", 'haswell' ) ),
		array( "arrow_carrot-2down_alt2" => esc_html__( "Arrow_carrot-2down_alt2", 'haswell' ) ),
		array( "arrow_carrot-2left_alt2" => esc_html__( "Arrow_carrot-2left_alt2", 'haswell' ) ),
		array( "arrow_carrot-2right_alt2" => esc_html__( "Arrow_carrot-2right_alt2", 'haswell' ) ),
		array( "arrow_triangle-up" => esc_html__( "Arrow_triangle-up", 'haswell' ) ),
		array( "arrow_triangle-down" => esc_html__( "Arrow_triangle-down", 'haswell' ) ),
		array( "arrow_triangle-left" => esc_html__( "Arrow_triangle-left", 'haswell' ) ),
		array( "arrow_triangle-right" => esc_html__( "Arrow_triangle-right", 'haswell' ) ),
		array( "arrow_triangle-up_alt2" => esc_html__( "Arrow_triangle-up_alt2", 'haswell' ) ),
		array( "arrow_triangle-down_alt2" => esc_html__( "Arrow_triangle-down_alt2", 'haswell' ) ),
		array( "arrow_triangle-left_alt2" => esc_html__( "Arrow_triangle-left_alt2", 'haswell' ) ),
		array( "arrow_triangle-right_alt2" => esc_html__( "Arrow_triangle-right_alt2", 'haswell' ) ),
		array( "arrow_back" => esc_html__( "Arrow_back", 'haswell' ) ),
		array( "icon_minus-06" => esc_html__( "Icon_minus-06", 'haswell' ) ),
		array( "icon_plus" => esc_html__( "Icon_plus", 'haswell' ) ),
		array( "icon_close" => esc_html__( "Icon_close", 'haswell' ) ),
		array( "icon_check" => esc_html__( "Icon_check", 'haswell' ) ),
		array( "icon_minus_alt2" => esc_html__( "Icon_minus_alt2", 'haswell' ) ),
		array( "icon_plus_alt2" => esc_html__( "Icon_plus_alt2", 'haswell' ) ),
		array( "icon_close_alt2" => esc_html__( "Icon_close_alt2", 'haswell' ) ),
		array( "icon_check_alt2" => esc_html__( "Icon_check_alt2", 'haswell' ) ),
		array( "icon_zoom-out_alt" => esc_html__( "Icon_zoom-out_alt", 'haswell' ) ),
		array( "icon_zoom-in_alt" => esc_html__( "Icon_zoom-in_alt", 'haswell' ) ),
		array( "icon_search" => esc_html__( "Icon_search", 'haswell' ) ),
		array( "icon_box-empty" => esc_html__( "Icon_box-empty", 'haswell' ) ),
		array( "icon_box-selected" => esc_html__( "Icon_box-selected", 'haswell' ) ),
		array( "icon_minus-box" => esc_html__( "Icon_minus-box", 'haswell' ) ),
		array( "icon_plus-box" => esc_html__( "Icon_plus-box", 'haswell' ) ),
		array( "icon_box-checked" => esc_html__( "Icon_box-checked", 'haswell' ) ),
		array( "icon_circle-empty" => esc_html__( "Icon_circle-empty", 'haswell' ) ),
		array( "icon_circle-slelected" => esc_html__( "Icon_circle-slelected", 'haswell' ) ),
		array( "icon_stop_alt2" => esc_html__( "Icon_stop_alt2", 'haswell' ) ),
		array( "icon_stop" => esc_html__( "Icon_stop", 'haswell' ) ),
		array( "icon_pause_alt2" => esc_html__( "Icon_pause_alt2", 'haswell' ) ),
		array( "icon_pause" => esc_html__( "Icon_pause", 'haswell' ) ),
		array( "icon_menu" => esc_html__( "Icon_menu", 'haswell' ) ),
		array( "icon_menu-square_alt2" => esc_html__( "Icon_menu-square_alt2", 'haswell' ) ),
		array( "icon_menu-circle_alt2" => esc_html__( "Icon_menu-circle_alt2", 'haswell' ) ),
		array( "icon_ul" => esc_html__( "Icon_ul", 'haswell' ) ),
		array( "icon_ol" => esc_html__( "Icon_ol", 'haswell' ) ),
		array( "icon_adjust-horiz" => esc_html__( "Icon_adjust-hori", 'haswell' ) ),
		array( "icon_adjust-vert" => esc_html__( "Icon_adjust-vert", 'haswell' ) ),
		array( "icon_document_alt" => esc_html__( "Icon_document_alt", 'haswell' ) ),
		array( "icon_documents_alt" => esc_html__( "Icon_documents_alt", 'haswell' ) ),
		array( "icon_pencil" => esc_html__( "Icon_pencil", 'haswell' ) ),
		array( "icon_pencil-edit_alt" => esc_html__( "Icon_pencil-edit_alt", 'haswell' ) ),
		array( "icon_pencil-edit" => esc_html__( "Icon_pencil-edit", 'haswell' ) ),
		array( "icon_folder-alt" => esc_html__( "Icon_folder-alt", 'haswell' ) ),
		array( "icon_folder-open_alt" => esc_html__( "Icon_folder-open_alt", 'haswell' ) ),
		array( "icon_folder-add_alt" => esc_html__( "Icon_folder-add_alt", 'haswell' ) ),
		array( "icon_info_alt" => esc_html__( "Icon_info_alt", 'haswell' ) ),
		array( "icon_error-oct_alt" => esc_html__( "Icon_error-oct_alt", 'haswell' ) ),
		array( "icon_error-circle_alt" => esc_html__( "Icon_error-circle_alt", 'haswell' ) ),
		array( "icon_error-triangle_alt" => esc_html__( "Icon_error-triangle_alt", 'haswell' ) ),
		array( "icon_question_alt2" => esc_html__( "Icon_question_alt2", 'haswell' ) ),
		array( "icon_question" => esc_html__( "Icon_question", 'haswell' ) ),
		array( "icon_comment_alt" => esc_html__( "Icon_comment_alt", 'haswell' ) ),
		array( "icon_chat_alt" => esc_html__( "Icon_chat_alt", 'haswell' ) ),
		array( "icon_vol-mute_alt" => esc_html__( "Icon_vol-mute_alt", 'haswell' ) ),
		array( "icon_volume-low_alt" => esc_html__( "Icon_volume-low_alt", 'haswell' ) ),
		array( "icon_volume-high_alt" => esc_html__( "Icon_volume-high_alt", 'haswell' ) ),
		array( "icon_quotations" => esc_html__( "Icon_quotations", 'haswell' ) ),
		array( "icon_quotations_alt2" => esc_html__( "Icon_quotations_alt2", 'haswell' ) ),
		array( "icon_clock_alt" => esc_html__( "Icon_clock_alt", 'haswell' ) ),
		array( "icon_lock_alt" => esc_html__( "Icon_lock_alt", 'haswell' ) ),
		array( "icon_lock-open_alt" => esc_html__( "Icon_lock-open_alt", 'haswell' ) ),
		array( "icon_key_alt" => esc_html__( "Icon_key_alt", 'haswell' ) ),
		array( "icon_cloud_alt" => esc_html__( "Icon_cloud_alt", 'haswell' ) ),
		array( "icon_cloud-upload_alt" => esc_html__( "Icon_cloud-upload_alt", 'haswell' ) ),
		array( "icon_cloud-download_alt" => esc_html__( "Icon_cloud-download_alt", 'haswell' ) ),
		array( "icon_image" => esc_html__( "Icon_image", 'haswell' ) ),
		array( "icon_images" => esc_html__( "Icon_images", 'haswell' ) ),
		array( "icon_lightbulb_alt" => esc_html__( "Icon_lightbulb_alt", 'haswell' ) ),
		array( "icon_gift_alt" => esc_html__( "Icon_gift_alt", 'haswell' ) ),
		array( "icon_house_alt" => esc_html__( "Icon_house_alt", 'haswell' ) ),
		array( "icon_genius" => esc_html__( "Icon_genius", 'haswell' ) ),
		array( "icon_mobile" => esc_html__( "Icon_mobile", 'haswell' ) ),
		array( "icon_tablet" => esc_html__( "Icon_tablet", 'haswell' ) ),
		array( "icon_laptop" => esc_html__( "Icon_laptop", 'haswell' ) ),
		array( "icon_desktop" => esc_html__( "Icon_desktop", 'haswell' ) ),
		array( "icon_camera_alt" => esc_html__( "Icon_camera_alt", 'haswell' ) ),
		array( "icon_mail_alt" => esc_html__( "Icon_mail_alt", 'haswell' ) ),
		array( "icon_cone_alt" => esc_html__( "Icon_cone_alt", 'haswell' ) ),
		array( "icon_ribbon_alt" => esc_html__( "Icon_ribbon_alt", 'haswell' ) ),
		array( "icon_bag_alt" => esc_html__( "Icon_bag_alt", 'haswell' ) ),
		array( "icon_creditcard" => esc_html__( "Icon_creditcard", 'haswell' ) ),
		array( "icon_cart_alt" => esc_html__( "Icon_cart_alt", 'haswell' ) ),
		array( "icon_paperclip" => esc_html__( "Icon_paperclip", 'haswell' ) ),
		array( "icon_tag_alt" => esc_html__( "Icon_tag_alt", 'haswell' ) ),
		array( "icon_tags_alt" => esc_html__( "Icon_tags_alt", 'haswell' ) ),
		array( "icon_trash_alt" => esc_html__( "Icon_trash_alt", 'haswell' ) ),
		array( "icon_cursor_alt" => esc_html__( "Icon_cursor_alt", 'haswell' ) ),
		array( "icon_mic_alt" => esc_html__( "Icon_mic_alt", 'haswell' ) ),
		array( "icon_compass_alt" => esc_html__( "Icon_compass_alt", 'haswell' ) ),
		array( "icon_pin_alt" => esc_html__( "Icon_pin_alt", 'haswell' ) ),
		array( "icon_pushpin_alt" => esc_html__( "Icon_pushpin_alt", 'haswell' ) ),
		array( "icon_map_alt" => esc_html__( "Icon_map_alt", 'haswell' ) ),
		array( "icon_drawer_alt" => esc_html__( "Icon_drawer_alt", 'haswell' ) ),
		array( "icon_toolbox_alt" => esc_html__( "Icon_toolbox_alt", 'haswell' ) ),
		array( "icon_book_alt" => esc_html__( "Icon_book_alt", 'haswell' ) ),
		array( "icon_calendar" => esc_html__( "Icon_calendar", 'haswell' ) ),
		array( "icon_film" => esc_html__( "Icon_film", 'haswell' ) ),
		array( "icon_table" => esc_html__( "Icon_table", 'haswell' ) ),
		array( "icon_contacts_alt" => esc_html__( "Icon_contacts_alt", 'haswell' ) ),
		array( "icon_headphones" => esc_html__( "Icon_headphones", 'haswell' ) ),
		array( "icon_lifesaver" => esc_html__( "Icon_lifesaver", 'haswell' ) ),
		array( "icon_piechart" => esc_html__( "Icon_piechart", 'haswell' ) ),
		array( "icon_refresh" => esc_html__( "Icon_refresh", 'haswell' ) ),
		array( "icon_link_alt" => esc_html__( "Icon_link_alt", 'haswell' ) ),
		array( "icon_link" => esc_html__( "Icon_link", 'haswell' ) ),
		array( "icon_loading" => esc_html__( "Icon_loading", 'haswell' ) ),
		array( "icon_blocked" => esc_html__( "Icon_blocked", 'haswell' ) ),
		array( "icon_archive_alt" => esc_html__( "Icon_archive_alt", 'haswell' ) ),
		array( "icon_heart_alt" => esc_html__( "Icon_heart_alt", 'haswell' ) ),
		array( "icon_printer" => esc_html__( "Icon_printer", 'haswell' ) ),
		array( "icon_calulator" => esc_html__( "Icon_calulator", 'haswell' ) ),
		array( "icon_building" => esc_html__( "Icon_building", 'haswell' ) ),
		array( "icon_floppy" => esc_html__( "Icon_floppy", 'haswell' ) ),
		array( "icon_drive" => esc_html__( "Icon_drive", 'haswell' ) ),
		array( "icon_search-2" => esc_html__( "Icon_search-2", 'haswell' ) ),
		array( "icon_id" => esc_html__( "Icon_id", 'haswell' ) ),
		array( "icon_id-2" => esc_html__( "Icon_id-2", 'haswell' ) ),
		array( "icon_puzzle" => esc_html__( "Icon_puzzle", 'haswell' ) ),
		array( "icon_like" => esc_html__( "Icon_like", 'haswell' ) ),
		array( "icon_dislike" => esc_html__( "Icon_like", 'haswell' ) ),
		array( "icon_mug" => esc_html__( "Icon_mug", 'haswell' ) ),
		array( "icon_currency" => esc_html__( "Icon_currency", 'haswell' ) ),
		array( "icon_wallet" => esc_html__( "Icon_wallet", 'haswell' ) ),
		array( "icon_pens" => esc_html__( "Icon_pens", 'haswell' ) ),
		array( "icon_easel" => esc_html__( "Icon_easel", 'haswell' ) ),
		array( "icon_flowchart" => esc_html__( "Icon_flowchart", 'haswell' ) ),
		array( "icon_datareport" => esc_html__( "Icon_datareport", 'haswell' ) ),
		array( "icon_briefcase" => esc_html__( "Icon_briefcase", 'haswell' ) ),
		array( "icon_shield" => esc_html__( "Icon_shield", 'haswell' ) ),
		array( "icon_percent" => esc_html__( "Icon_percent", 'haswell' ) ),
		array( "icon_globe" => esc_html__( "Icon_globe", 'haswell' ) ),
		array( "icon_globe-2" => esc_html__( "Icon_globe-2", 'haswell' ) ),
		array( "icon_target" => esc_html__( "Icon_target", 'haswell' ) ),
		array( "icon_hourglass" => esc_html__( "Icon_hourglass", 'haswell' ) ),
		array( "icon_balance" => esc_html__( "Icon_balance", 'haswell' ) ),
		array( "icon_star_alt" => esc_html__( "Icon_star_alt", 'haswell' ) ),
		array( "icon_star-half_alt" => esc_html__( "Icon_star-half_alt", 'haswell' ) ),
		array( "icon_star" => esc_html__( "Icon_star", 'haswell' ) ),
		array( "icon_star-half" => esc_html__( "Icon_star-half", 'haswell' ) ),
		array( "icon_tools" => esc_html__( "Icon_tools", 'haswell' ) ),
		array( "icon_tool" => esc_html__( "Icon_tool", 'haswell' ) ),
		array( "icon_cog" => esc_html__( "Icon_cog", 'haswell' ) ),
		array( "icon_cogs" => esc_html__( "Icon_cogs", 'haswell' ) ),
		array( "arrow_up_alt" => esc_html__( "Arrow_up_alt", 'haswell' ) ),
		array( "arrow_down_alt" => esc_html__( "Arrow_down_alt", 'haswell' ) ),
		array( "arrow_left_alt" => esc_html__( "Arrow_left_alt", 'haswell' ) ),
		array( "arrow_right_alt" => esc_html__( "Arrow_right_alt", 'haswell' ) ),
		array( "arrow_left-up_alt" => esc_html__( "Arrow_left-up_alt", 'haswell' ) ),
		array( "arrow_right-up_alt" => esc_html__( "Arrow_right-up_alt", 'haswell' ) ),
		array( "arrow_right-down_alt" => esc_html__( "Arrow_right-down_alt", 'haswell' ) ),
		array( "arrow_left-down_alt" => esc_html__( "Arrow_left-down_alt", 'haswell' ) ),
		array( "arrow_condense_alt" => esc_html__( "Arrow_condense_alt", 'haswell' ) ),
		array( "arrow_expand_alt3" => esc_html__( "Arrow_expand_alt3", 'haswell' ) ),
		array( "arrow_carrot_up_alt" => esc_html__( "Arrow_carrot_up_alt", 'haswell' ) ),
		array( "arrow_carrot-down_alt" => esc_html__( "Arrow_carrot-down_alt", 'haswell' ) ),
		array( "arrow_carrot-left_alt" => esc_html__( "Arrow_carrot-left_alt", 'haswell' ) ),
		array( "arrow_carrot-right_alt" => esc_html__( "Arrow_carrot-right_alt", 'haswell' ) ),
		array( "arrow_carrot-2up_alt" => esc_html__( "Arrow_carrot-2up_alt", 'haswell' ) ),
		array( "arrow_carrot-2dwnn_alt" => esc_html__( "Arrow_carrot-2dwnn_alt", 'haswell' ) ),
		array( "arrow_carrot-2left_alt" => esc_html__( "Arrow_carrot-2left_alt", 'haswell' ) ),
		array( "arrow_carrot-2right_alt" => esc_html__( "Arrow_carrot-2right_alt", 'haswell' ) ),
		array( "arrow_triangle-up_alt" => esc_html__( "Arrow_triangle-up_alt", 'haswell' ) ),
		array( "arrow_triangle-down_alt" => esc_html__( "Arrow_triangle-down_alt", 'haswell' ) ),
		array( "arrow_triangle-left_alt" => esc_html__( "Arrow_triangle-left_alt", 'haswell' ) ),
		array( "arrow_triangle-right_alt" => esc_html__( "Arrow_triangle-right_alt", 'haswell' ) ),
		array( "icon_minus_alt" => esc_html__( "Icon_minus_alt", 'haswell' ) ),
		array( "icon_plus_alt" => esc_html__( "Icon_plus_alt", 'haswell' ) ),
		array( "icon_close_alt" => esc_html__( "Icon_close_alt", 'haswell' ) ),
		array( "icon_check_alt" => esc_html__( "Icon_check_alt", 'haswell' ) ),
		array( "icon_zoom-out" => esc_html__( "Icon_zoom-out", 'haswell' ) ),
		array( "icon_zoom-in" => esc_html__( "Icon_zoom-in", 'haswell' ) ),
		array( "icon_stop_alt" => esc_html__( "Icon_stop_alt", 'haswell' ) ),
		array( "icon_menu-square_alt" => esc_html__( "Icon_menu-square_alt", 'haswell' ) ),
		array( "icon_menu-circle_alt" => esc_html__( "Icon_menu-circle_alt", 'haswell' ) ),
		array( "icon_document" => esc_html__( "Icon_document", 'haswell' ) ),
		array( "icon_documents" => esc_html__( "Icon_documents", 'haswell' ) ),
		array( "icon_pencil_alt" => esc_html__( "Icon_pencil_alt", 'haswell' ) ),
		array( "icon_folder" => esc_html__( "Icon_folder", 'haswell' ) ),
		array( "icon_folder-open" => esc_html__( "Icon_folder-open", 'haswell' ) ),
		array( "icon_folder-add" => esc_html__( "Icon_folder-add", 'haswell' ) ),
		array( "icon_folder_upload" => esc_html__( "Icon_folder_upload", 'haswell' ) ),
		array( "icon_folder_download" => esc_html__( "Icon_folder_download", 'haswell' ) ),
		array( "icon_info" => esc_html__( "Icon_info", 'haswell' ) ),
		array( "icon_error-circle" => esc_html__( "Icon_error-circle", 'haswell' ) ),
		array( "icon_error-oct" => esc_html__( "Icon_error-oct", 'haswell' ) ),
		array( "icon_error-triangle" => esc_html__( "Icon_error-triangle", 'haswell' ) ),
		array( "icon_question_alt" => esc_html__( "Icon_question_alt", 'haswell' ) ),
		array( "icon_comment" => esc_html__( "Icon_comment", 'haswell' ) ),
		array( "icon_chat" => esc_html__( "Icon_chat", 'haswell' ) ),
		array( "icon_vol-mute" => esc_html__( "Icon_vol-mute", 'haswell' ) ),
		array( "icon_volume-low" => esc_html__( "Icon_volume-low", 'haswell' ) ),
		array( "icon_volume-high" => esc_html__( "Icon_volume-high", 'haswell' ) ),
		array( "icon_quotations_alt" => esc_html__( "Icon_quotations_alt", 'haswell' ) ),
		array( "icon_clock" => esc_html__( "Icon_clock", 'haswell' ) ),
		array( "icon_lock" => esc_html__( "Icon_lock", 'haswell' ) ),
		array( "icon_lock-open" => esc_html__( "Icon_lock-open", 'haswell' ) ),
		array( "icon_key" => esc_html__( "Icon_key", 'haswell' ) ),
		array( "icon_cloud" => esc_html__( "Icon_cloud", 'haswell' ) ),
		array( "icon_cloud-upload" => esc_html__( "Icon_cloud-upload", 'haswell' ) ),
		array( "icon_cloud-download" => esc_html__( "Icon_cloud-download", 'haswell' ) ),
		array( "icon_lightbulb" => esc_html__( "Icon_lightbulb", 'haswell' ) ),
		array( "icon_gift" => esc_html__( "Icon_gift", 'haswell' ) ),
		array( "icon_house" => esc_html__( "Icon_house", 'haswell' ) ),
		array( "icon_camera" => esc_html__( "Icon_camera", 'haswell' ) ),
		array( "icon_mail" => esc_html__( "Icon_mail", 'haswell' ) ),
		array( "icon_cone" => esc_html__( "Icon_cone", 'haswell' ) ),
		array( "icon_ribbon" => esc_html__( "Icon_ribbon", 'haswell' ) ),
		array( "icon_bag" => esc_html__( "Icon_bag", 'haswell' ) ),
		array( "icon_cart" => esc_html__( "Icon_cart", 'haswell' ) ),
		array( "icon_tag" => esc_html__( "Icon_tag", 'haswell' ) ),
		array( "icon_tags" => esc_html__( "Icon_tags", 'haswell' ) ),
		array( "icon_trash" => esc_html__( "Icon_trash", 'haswell' ) ),
		array( "icon_cursor" => esc_html__( "Icon_cursor", 'haswell' ) ),
		array( "icon_mic" => esc_html__( "Icon_mic", 'haswell' ) ),
		array( "icon_compass" => esc_html__( "Icon_compass", 'haswell' ) ),
		array( "icon_pin" => esc_html__( "Icon_pin", 'haswell' ) ),
		array( "icon_pushpin" => esc_html__( "Icon_pushpin", 'haswell' ) ),
		array( "icon_map" => esc_html__( "Icon_map", 'haswell' ) ),
		array( "icon_drawer" => esc_html__( "Icon_drawer", 'haswell' ) ),
		array( "icon_toolbox" => esc_html__( "Icon_toolbox", 'haswell' ) ),
		array( "icon_book" => esc_html__( "Icon_book", 'haswell' ) ),
		array( "icon_contacts" => esc_html__( "Icon_contacts", 'haswell' ) ),
		array( "icon_archive" => esc_html__( "Icon_archive", 'haswell' ) ),
		array( "icon_heart" => esc_html__( "Icon_heart", 'haswell' ) ),
		array( "icon_profile" => esc_html__( "Icon_profile", 'haswell' ) ),
		array( "icon_group" => esc_html__( "Icon_group", 'haswell' ) ),
		array( "icon_grid-2x2" => esc_html__( "Icon_grid-2x2", 'haswell' ) ),
		array( "icon_grid-3x3" => esc_html__( "Icon_grid-3x3", 'haswell' ) ),
		array( "icon_music" => esc_html__( "Icon_music", 'haswell' ) ),
		array( "icon_pause_alt" => esc_html__( "Icon_pause_alt", 'haswell' ) ),
		array( "icon_phone" => esc_html__( "Icon_phone", 'haswell' ) ),
		array( "icon_upload" => esc_html__( "Icon_upload", 'haswell' ) ),
		array( "icon_download" => esc_html__( "Icon_download", 'haswell' ) ),
		array( "icon_rook" => esc_html__( "Icon_rook", 'haswell' ) ),
		array( "icon_printer-alt" => esc_html__( "Icon_printer-alt", 'haswell' ) ),
		array( "icon_calculator_alt" => esc_html__( "Icon_calculator_alt", 'haswell' ) ),
		array( "icon_building_alt" => esc_html__( "Icon_building_alt", 'haswell' ) ),
		array( "icon_floppy_alt" => esc_html__( "Icon_floppy_alt", 'haswell' ) ),
		array( "icon_drive_alt" => esc_html__( "Icon_drive_alt", 'haswell' ) ),
		array( "icon_search_alt" => esc_html__( "Icon_search_alt", 'haswell' ) ),
		array( "icon_id_alt" => esc_html__( "Icon_id_alt", 'haswell' ) ),
		array( "icon_id-2_alt" => esc_html__( "Icon_id-2_alt", 'haswell' ) ),
		array( "icon_puzzle_alt" => esc_html__( "Icon_puzzle_alt", 'haswell' ) ),
		array( "icon_like_alt" => esc_html__( "Icon_like_alt", 'haswell' ) ),
		array( "icon_dislike_alt" => esc_html__( "Icon_dislike_alt", 'haswell' ) ),
		array( "icon_mug_alt" => esc_html__( "Icon_mug_alt", 'haswell' ) ),
		array( "icon_currency_alt" => esc_html__( "Icon_currency_alt", 'haswell' ) ),
		array( "icon_wallet_alt" => esc_html__( "Icon_wallet_alt", 'haswell' ) ),
		array( "icon_pens_alt" => esc_html__( "Icon_pens_alt", 'haswell' ) ),
		array( "icon_easel_alt" => esc_html__( "Icon_easel_alt", 'haswell' ) ),
		array( "icon_flowchart_alt" => esc_html__( "Icon_flowchart_alt", 'haswell' ) ),
		array( "icon_datareport_alt" => esc_html__( "Icon_datareport_alt", 'haswell' ) ),
		array( "icon_briefcase_alt" => esc_html__( "Icon_briefcase_alt", 'haswell' ) ),
		array( "icon_shield_alt" => esc_html__( "Icon_shield_alt", 'haswell' ) ),
		array( "icon_percent_alt" => esc_html__( "Icon_percent_alt", 'haswell' ) ),
		array( "icon_globe_alt" => esc_html__( "Icon_globe_alt", 'haswell' ) ),
		array( "icon_clipboard" => esc_html__( "Icon_clipboard", 'haswell' ) ),
		array( "social_facebook" => esc_html__( "Social_facebook", 'haswell' ) ),
		array( "social_twitter" => esc_html__( "Social_twitter", 'haswell' ) ),
		array( "social_pinterest" => esc_html__( "Social_pinterest", 'haswell' ) ),
		array( "social_googleplus" => esc_html__( "Social_googleplus", 'haswell' ) ),
		array( "social_tumblr" => esc_html__( "Social_tumblr", 'haswell' ) ),
		array( "social_tumbleupon" => esc_html__( "Social_tumbleupon", 'haswell' ) ),
		array( "social_wordpress" => esc_html__( "Social_wordpress", 'haswell' ) ),
		array( "social_instagram" => esc_html__( "Social_instagram", 'haswell' ) ),
		array( "social_dribbble" => esc_html__( "Social_dribbble", 'haswell' ) ),
		array( "social_vimeo" => esc_html__( "Social_vimeo", 'haswell' ) ),
		array( "social_linkedin" => esc_html__( "Social_linkedin", 'haswell' ) ),
		array( "social_rss" => esc_html__( "Social_rss", 'haswell' ) ),
		array( "social_deviantart" => esc_html__( "Social_deviantart", 'haswell' ) ),
		array( "social_share" => esc_html__( "Social_share", 'haswell' ) ),
		array( "social_myspace" => esc_html__( "Social_myspace", 'haswell' ) ),
		array( "social_skype" => esc_html__( "Social_skype", 'haswell' ) ),
		array( "social_youtube" => esc_html__( "Social_youtube", 'haswell' ) ),
		array( "social_picassa" => esc_html__( "Social_picassa", 'haswell' ) ),
		array( "social_googledrive" => esc_html__( "Social_googledrive", 'haswell' ) ),
		array( "social_flickr" => esc_html__( "Social_flickr", 'haswell' ) ),
		array( "social_blogger" => esc_html__( "Social_blogger", 'haswell' ) ),
		array( "social_spotify" => esc_html__( "Social_spotify", 'haswell' ) ),
		array( "social_delicious" => esc_html__( "Social_delicious", 'haswell' ) ),
		array( "social_facebook_circle" => esc_html__( "Social_facebook_circle", 'haswell' ) ),
		array( "social_twitter_circle" => esc_html__( "Social_twitter_circle", 'haswell' ) ),
		array( "social_pinterest_circle" => esc_html__( "Social_pinterest_circle", 'haswell' ) ),
		array( "social_googleplus_circle" => esc_html__( "Social_googleplus_circle", 'haswell' ) ),
		array( "social_tumblr_circle" => esc_html__( "Social_tumblr_circle", 'haswell' ) ),
		array( "social_stumbleupon_circle" => esc_html__( "Social_stumbleupon_circle", 'haswell' ) ),
		array( "social_wordpress_circle" => esc_html__( "Social_wordpress_circle", 'haswell' ) ),
		array( "social_instagram_circle" => esc_html__( "Social_instagram_circle", 'haswell' ) ),
		array( "social_dribbble_circle" => esc_html__( "Social_dribbble_circle", 'haswell' ) ),
		array( "social_vimeo_circle" => esc_html__( "Social_vimeo_circle", 'haswell' ) ),
		array( "social_linkedin_circle" => esc_html__( "Social_linkedin_circle", 'haswell' ) ),
		array( "social_rss_circle" => esc_html__( "Social_rss_circle", 'haswell' ) ),
		array( "social_deviantart_circle" => esc_html__( "Social_deviantart_circle", 'haswell' ) ),
		array( "social_share_circle" => esc_html__( "Social_share_circle", 'haswell' ) ),
		array( "social_myspace_circle" => esc_html__( "Social_myspace_circle", 'haswell' ) ),
		array( "social_skype_circle" => esc_html__( "Social_skype_circle", 'haswell' ) ),
		array( "social_youtube_circle" => esc_html__( "Social_youtube_circle", 'haswell' ) ),
		array( "social_picassa_circle" => esc_html__( "Social_picassa_circle", 'haswell' ) ),
		array( "social_googledrive_alt2" => esc_html__( "Social_googledrive_alt2", 'haswell' ) ),
		array( "social_flickr_circle" => esc_html__( "Social_flickr_circle", 'haswell' ) ),
		array( "social_blogger_circle" => esc_html__( "Social_blogger_circle", 'haswell' ) ),
		array( "social_spotify_circle" => esc_html__( "Social_spotify_circle", 'haswell' ) ),
		array( "social_delicious_circle" => esc_html__( "Social_delicious_circle", 'haswell' ) ),
		array( "social_facebook_square" => esc_html__( "Social_facebook_square", 'haswell' ) ),
		array( "social_twitter_square" => esc_html__( "Social_twitter_square", 'haswell' ) ),
		array( "social_pinterest_square" => esc_html__( "Social_pinterest_square", 'haswell' ) ),
		array( "social_googleplus_square" => esc_html__( "Social_googleplus_square", 'haswell' ) ),
		array( "social_tumblr_square" => esc_html__( "Social_tumblr_square", 'haswell' ) ),
		array( "social_stumbleupon_square" => esc_html__( "Social_stumbleupon_square", 'haswell' ) ),
		array( "social_wordpress_square" => esc_html__( "Social_wordpress_square", 'haswell' ) ),
		array( "social_instagram_square" => esc_html__( "Social_instagram_square", 'haswell' ) ),
		array( "social_dribbble_square" => esc_html__( "Social_dribbble_square", 'haswell' ) ),
		array( "social_vimeo_square" => esc_html__( "Social_vimeo_square", 'haswell' ) ),
		array( "social_linkedin_square" => esc_html__( "Social_linkedin_square", 'haswell' ) ),
		array( "social_rss_square" => esc_html__( "Social_rss_square", 'haswell' ) ),
		array( "social_deviantart_square" => esc_html__( "Social_deviantart_square", 'haswell' ) ),
		array( "social_share_square" => esc_html__( "Social_share_square", 'haswell' ) ),
		array( "social_myspace_square" => esc_html__( "Social_myspace_square", 'haswell' ) ),
		array( "social_skype_square" => esc_html__( "Social_skype_square", 'haswell' ) ),
		array( "social_youtube_square" => esc_html__( "Social_youtube_square", 'haswell' ) ),
		array( "social_picassa_square" => esc_html__( "Social_picassa_square", 'haswell' ) ),
		array( "social_googledrive_square" => esc_html__( "Social_googledrive_square", 'haswell' ) ),
		array( "social_flickr_square" => esc_html__( "Social_flickr_square", 'haswell' ) ),
		array( "social_blogger_square" => esc_html__( "Social_blogger_square", 'haswell' ) ),
		array( "social_spotify_square" => esc_html__( "Social_spotify_square", 'haswell' ) ),
		array( "social_delicious_square" => esc_html__( "Social_delicious_square", 'haswell' ) ),
	);

	return array_merge( $icons, $elegant_icons );
}
 ?>